Subject: Re: Bug report

From: Dominik Vogt <[email-masked]>
Date: Fri, 30 Oct 1998 16:03:30 +0100

On Fri, Oct 30, 1998 at 01:26:29PM +0900, [email-masked] wrote:
>      I have switched recently from fvwm to fvwm2-2.0.46, and I guess
> that I found a bug. I couldn't find recent references about it in the
> documentation or in mailing list (I hope that I didn't miss anything),
> so here goes a bug report.
> ...
> - On a window at page (x,y), the current page being (a,b):
>     - Maximize 0 100 makes the window move to page (x,b)
>     - Maximize 100 0 makes the window move to page (a,y)
>     - Maximize makes the window move to to page (a,b)
> - Stick sticks the window *outside* the screen (i.e., it keeps its
>   position relative to the current page, so moving to another page
>   makes the window move by the same relative amount).
> The routines that implement these commands are clearly assuming that
> their target window is in the current page. I was able to avoid these
> problems by executing Focus on the window before sending the fvwm
> command.
>      The problem happens for system.fvwm2rc (and other initialization
> files also), so I hope that the maintainers should be able to reproduce
> these bugs. By the way, the errors occur on:

I don't even have to look at the code to tell you why this
happens 8-).

It's not a bug, it's a feature ;-)

The reason for this behaviour is the internal implementation
of pages. When you switch pages all windows on the current
*desk* (i.e. all pages) get new coordinates so that the
windows on the current page are visible (windows on a page
left to the current page have negative x coordinates etc.).

Sticky windows always stay on the same page. If they start
on another page when they are made sticky, they so not
get new coordinates on the within the current page.

Maximize obviously sets absolute coordinates relative to
the current desk, so this does not work either.

Unfortunately changing that problem entails nearly
a complete rewrite of the paging code (and perhaps
even FvwmPager). Thus I do not see that done anytime
soon. The maximize bug may be easy to fix, and the
sticks problem *might* be too, but I am sure there
are lots of such dependencies throughout the code
that you have not discovered yet.

Maybe I can look at this this weekend.

Bye

Dominik
-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].